Page MenuHomePhabricator

Global preferences: design fixes
Closed, ResolvedPublic2 Estimated Story Points

Description

A couple minor things for global preferences:

  1. The "Make this setting global" label doesn't seem connected enough to the row of checkboxes -- I think splitting it onto two lines -- Make this / setting global -- and centering that text above the column with checkboxes would help.
  1. The "This preference has been set globally" line should indent to be flush with the preference it's referring to. Here's a screenshot to illustrate:

Event Timeline

DannyH created this task.Nov 1 2017, 10:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2017, 10:22 PM
kaldari set the point value for this task to 2.Nov 1 2017, 10:57 PM
Samwilson claimed this task.Jan 4 2018, 5:36 AM
Samwilson moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.
  1. How's it look now?
  2. T174173 tracks this issue, but we'll actually be free from it once we move to local-overrides in T178044.
  1. Looks slightly better, although it awkwardly puts each word on a separate line when the screen is small. Can you add a min-width: 6em; maybe? (Not sure if 6em is exactly right, but it works well on MacOS providing just enough space to fit it all on two lines.)
  1. Agree that this is outside the scope of GlobalPreferences. This needs to be changed in HTMLForm.

If we can't move the text over to the left enough, can we move the checkboxes to the right a little, so that it lines up underneath?

Is this more the idea? (with the top phrases both having min-width of 7em now; 6 was still a bit narry on my system):

I do wonder if that whole top part is now a bit high though. It pushes everything else down quite a bit now it's on 4 lines.

Having the label under the checkbox looks pretty funny to me. Personally, I wouldn't add the min-width to the "select all" part.

Like this?

The "make this setting global" still wraps as "make this setting / global" sometimes... should we make the message Make this setting global?

Change 404623 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Centre globalizing checkboxes, and prevent overwrapping of header

https://gerrit.wikimedia.org/r/404623

The "make this setting global" still wraps as "make this setting / global" sometimes... should we make the message Make this setting global?

No that would cause problems for translators. I think it's OK how it is.

A couple outstanding issues:

  • The checkboxes don't line up vertically with the regular pref checkboxes. They are off by a few pixels.
  • The formatting goes all weird if you're using a really really narrow window. It turns into a weird stairstep.

Fixed the vertical align problem, and gave the global checkboxes a min-width of 2 em so they don't get squashed up to the others on very narrow screens. Seems to work in all skins I've checked.

And I can't make it do the weird stepping thing; I've seen it before though, and I know what you mean. Were you testing with the right patch? What browser? I can't see it in Chrome or FF.

kaldari closed this task as Resolved.Jan 17 2018, 11:34 PM

Looks great! The stepping problem seems to be gone now as well.

Change 404623 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Centre globalizing checkboxes, and prevent overwrapping of header

https://gerrit.wikimedia.org/r/404623